in scala.collection.immutable
class GBNode

`case private class` GBNode [A, B]
  `extends` scala.collection.immutable.GBTree[A, B]
  `with` scala.ScalaObject
  `with` scala.Product4[A, B, scala.collection.immutable.GBTree[A, B], scala.collection.immutable.GBTree[A, B]]

Constructor Summary
| `def` this (key: A, value: B, smaller: scala.collection.immutable.GBTree[A, B], bigger: scala.collection.immutable.GBTree[A, B])(view$6: (A) => scala.Ordered[A])

Val Summary
| `val` bigger : scala.collection.immutable.GBTree[A, B]
| `val` key : A
| `val` smaller : scala.collection.immutable.GBTree[A, B]
| `val` value : B

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` _1 : A
`final` `override` | `def` _2 : B
`final` `override` | `def` _3 : scala.collection.immutable.GBTree[A, B]
`final` `override` | `def` _4 : scala.collection.immutable.GBTree[A, B]
| `def` apply (sKey: A) : B
| `def` balance (s: scala.Int) : scala.collection.immutable.GBTree[A, B]
`protected` | `def` balance_list (list: scala.List[scala.Tuple2[A, B]], s: scala.Int) : scala.collection.immutable.GBTree[A, B]
| `def` count : scala.Tuple2[scala.Int, scala.Int]
| `def` delete (sKey: A) : scala.collection.immutable.GBTree[A, B]
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
| `def` get (sKey: A) : scala.Option[B]
`override` | `def` hashCode : scala.Int
| `def` insert (newKey: A, newValue: B, s: scala.Int) : scala.collection.immutable.InsertTree[A, B]
| `def` isDefinedAt (sKey: A) : scala.Boolean
| `def` merge (larger: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.GBTree[A, B]
| `def` mk_iter (iter_tail: scala.List[scala.collection.immutable.GBTree[A, B]]) : scala.List[scala.collection.immutable.GBTree[A, B]]
`final` `override` | `def` productPrefix : java.lang.String
| `def` takeSmallest : scala.Tuple3[A, B, scala.collection.immutable.GBTree[A, B]]
| `def` toList (acc: scala.List[scala.Tuple2[A, B]]) : scala.List[scala.Tuple2[A, B]]
`override` | `def` toString : java.lang.String
| `def` update (newKey: A, newValue: B) : scala.collection.immutable.GBTree[A, B]

Def inherited from scala.collection.immutable.GBTree[A, B]
apply , balance, count, delete, get, insert, isDefinedAt, merge, mk_iter, takeSmallest, toList, update

Def inherited from scala.Product4[A, B, scala.collection.immutable.GBTree[A, B], scala.collection.immutable.GBTree[A, B]]
_1 , _2, _3, _4, arity, element

Constructor Detail

`def` this (key: A, value: B, smaller: scala.collection.immutable.GBTree[A, B], bigger: scala.collection.immutable.GBTree[A, B])(view$6: (A) => scala.Ordered[A])

Val Detail

`val` bigger : scala.collection.immutable.GBTree[A, B]

`val` key : A

`val` smaller : scala.collection.immutable.GBTree[A, B]

`val` value : B

Def Detail

`final override def` $tag : scala.Int

`final override def` _1 : A

`final override def` _2 : B

`final override def` _3 : scala.collection.immutable.GBTree[A, B]

`final override def` _4 : scala.collection.immutable.GBTree[A, B]

`def` apply (sKey: A): B

`def` balance (s: scala.Int): scala.collection.immutable.GBTree[A, B]

Parameters:
  `s -` ...
Returns:
  ...

`protected def` balance_list (list: scala.List[scala.Tuple2[A, B]], s: scala.Int): scala.collection.immutable.GBTree[A, B]

`def` count : scala.Tuple2[scala.Int, scala.Int]

`def` delete (sKey: A): scala.collection.immutable.GBTree[A, B]

`override def` equals (x$1: scala.Any): scala.Boolean

`def` get (sKey: A): scala.Option[B]

`override def` hashCode : scala.Int

`def` insert (newKey: A, newValue: B, s: scala.Int): scala.collection.immutable.InsertTree[A, B]

`def` isDefinedAt (sKey: A): scala.Boolean

`def` merge (larger: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.GBTree[A, B]

`def` mk_iter (iter_tail: scala.List[scala.collection.immutable.GBTree[A, B]]): scala.List[scala.collection.immutable.GBTree[A, B]]

`final override def` productPrefix : java.lang.String

`def` takeSmallest : scala.Tuple3[A, B, scala.collection.immutable.GBTree[A, B]]

`def` toList (acc: scala.List[scala.Tuple2[A, B]]): scala.List[scala.Tuple2[A, B]]

`override def` toString : java.lang.String

`def` update (newKey: A, newValue: B): scala.collection.immutable.GBTree[A, B]